%define		package	Filesystem
%define		php_min_version 5.3.9
Summary:	Symfony2 Filesystem Component
Name:		php-symfony2-Filesystem
Version:	2.8.52
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{package}/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	a317e18c386ca9a67e4f2948f4ea1755
URL:		http://symfony.com/doc/2.7/components/filesystem.html
BuildRequires:	phpab
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(ctype)
Requires:	php(spl)
Requires:	php-dirs >= 1.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Filesystem components provides basic utilities for the filesystem.

%prep
%setup -q -n filesystem-%{version}

%build
phpab -n -e '*/Tests/*' -o autoload.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
cp -a *.php */ $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
rm -r $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}/Tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_data_dir}/Symfony/Component/Filesystem
%{php_data_dir}/Symfony/Component/Filesystem/*.php
%{php_data_dir}/Symfony/Component/Filesystem/Exception
%changelog
* Wed May 06 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-Filesystem.git;a=log;h=master

* Wed May 06 2020 Elan Ruusamäe <glen@pld-linux.org> ba19ec5
- Update to 2.8.52

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> c5a3447
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> 8fcf871
- up to 2.7.8

* Tue Jan 05 2016 Elan Ruusamäe <glen@delfi.ee> fb9b47f
- php-dirs dep

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> fa44579
- skip implicit pear-dirs package, dir dep is enough

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 3257af6
- install to php data dir

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> eba1159
- up to 2.7.7; use autoload.php for autoload name

* Sat Oct 03 2015 Elan Ruusamäe <glen@delfi.ee> 5868195
- up to 2.7.5

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> d5f80e9
- up to 2.7.3-lts

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> bdda223
- use autoloader.php as autoload bootstrap

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 19e1587
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> f32a444
- up to 2.4.4

* Sat Apr 12 2014 Elan Ruusamäe <glen@delfi.ee> ff305ea
- up to 2.4.3

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> 896bb88
- up to 2.3.4

* Wed Aug 28 2013 Elan Ruusamäe <glen@delfi.ee> e9b84cd
- uses ctype extension

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> 92efae0
- up to 2.1.6

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 0ef83c6
- more specific url

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 4c5f349
- initial add. version 2.1.4

